#ifndef HID_H
#define HID_H

#define BUTTON_A 1
#define BUTTON_B 2
#define BUTTON_UP 64
#define BUTTON_LEFT 32
#define BUTTON_DOWN 128
#define BUTTON_RIGHT 16
#define BUTTON_X 1024
#define BUTTON_Y 2048
#define BUTTON_L1 512
#define BUTTON_R1 256
#define BUTTON_START 8
#define BUTTON_SELECT 4

// 1 2 3 C   
// 4 5 6 D  button
// 7 8 9 E  layout
// A 0 B F

#define KEY1 BUTTON_LEFT
#define KEY2 BUTTON_UP
#define KEY3 BUTTON_RIGHT
#define KEYC BUTTON_DOWN

#define KEY4 BUTTON_Y
#define KEY5 BUTTON_X
#define KEY6 BUTTON_A
#define KEYD BUTTON_B

#define KEY7 BUTTON_L1|BUTTON_LEFT
#define KEY8 BUTTON_L1|BUTTON_UP
#define KEY9 BUTTON_L1|BUTTON_RIGHT
#define KEYE BUTTON_L1|BUTTON_DOWN

#define KEYA BUTTON_L1|BUTTON_Y
#define KEY0 BUTTON_L1|BUTTON_X
#define KEYB BUTTON_L1|BUTTON_A
#define KEYF BUTTON_L1|BUTTON_B

#endif
